<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fillViewport="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#FFF"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <SurfaceView
                android:id="@+id/surfaceView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"/>

            <EditText
                android:id="@+id/etLookRoomId"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="请输入要查看的车机SN"
                android:text="F803EB2046PZD00164"
                android:textColor="#850808"
                android:textSize="16sp"
                app:layout_constraintBottom_toTopOf="@+id/liveToggleBtn"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <ToggleButton
                android:id="@+id/liveToggleBtn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textOff="开始拉流"
                android:textOn="停止拉流"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>
</ScrollView>